<template>
  <el-select
    v-model="selected"
    v-bind="$attrs"
    :loading="loading"
    v-on="$listeners"
  >
    <el-option
      v-for="item in options"
      :key="item.reportId"
      :label="item.reportName"
      :value="item.reportId"
    >
      <el-row :gutter="20">
        <el-col :span="12">{{ item.reportId }}</el-col>
        <el-col :span="12" class="text-right">{{ item.reportName }}</el-col>
      </el-row>
    </el-option>
  </el-select>

</template>

<script>
import { getReportPage } from '@/api/system/menu'

export default {
  props: {
    value: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      options: [],
      loading: false
    }
  },
  computed: {
    selected: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  created() {
    this.fetchReportList()
  },
  methods: {
    fetchReportList() {
      this.loading = true
      const params = {
        pageNo: 1,
        pageSize: 100
      }
      getReportPage(params).then(res => {
        const list = res.data || {}
        this.options = list
      }).finally(() => {
        this.loading = false
      })
    }
  }
}
</script>

  <style>

  </style>

